#include <LINK/graph/Buckets.h>

#define NO_SAVE	0
#define SAVE 	1
#define FROM 	0
#define TO 	1
#define FREE 	0
#define LOCKED 	1
#define MIN_QUOTIENT	2
#define MIN_RATIO   	1
#define MAX_CUT    	0
#define go(v) ( (GraphObject *) (v) )
#define MIN(v,w) ( ((v) < (w)) ? (v) : (w) )

typedef int CutState[2][2];

typedef CutState* CutStatePtr;

// extern "C" int getrusage(int, struct rusage *);

void initCells(Graph *, VertexInfo *);
void randInit();
void randomizeVertices(VertexInfoPtr, int);
void initNet(VertexInfoPtr, Edge *, int);
void initNetInfo(Graph *, BucketArray**, CutStatePtr, VertexInfoPtr,
                 int&, int *);
void printCells(VertexInfoPtr, int);
void printCutstate(CutStatePtr, int);
